Delete a recording
This code snippet shows how to delete a recording using the Meetings API.
See the API Reference for more information.
Where needed, replace the following variables in the sample code with your own values:
| Key | Description |
|---|---|
JWT | Used to authenticate your request. See |
VONAGE_APPLICATION_ID | The Vonage Application ID. |
VONAGE_APPLICATION_PRIVATE_KEY_PATH | Private key path. |
RECORDING_ID | The recording UUID. |
Write the code
Add the following to delete-recording.sh:
Copy
curl -X DELETE "https://api-eu.vonage.com/meetings/recordings/"$RECORDING_ID \
-H "Authorization: Bearer $JWT"Run your code
Save this file to your machine and run it:
sh delete-recording.sh
Prerequisites
Copy
pip install vonageCreate a file named request.py and add the following code:
Copy
import vonage
client = vonage.Client(
application_id=VONAGE_APPLICATION_ID,
private_key=VONAGE_PRIVATE_KEY,Run your code
Save this file to your machine and run it:
python request.py
Prerequisites
Copy
gem install vonageCreate a file named delete-recording.rb and add the following code:
Copy
client = Vonage::Client.new(
application_id: VONAGE_APPLICATION_ID,
private_key: File.read(VONAGE_APPLICATION_PRIVATE_KEY_PATH)
)Write the code
Add the following to delete-recording.rb:
Copy
client.meetings.recordings.delete(recording_id: RECORDING_ID)Run your code
Save this file to your machine and run it:
ruby delete-recording.rb